### Chrome V8 profiling log processor

Usage:
Record the profile:

      d8 --prof your-file.js

Then process the file (this resolves C++ symbols and produces a JSON file with the profile data):

      <v8-dir>/tools/linux-tick-processor --preprocess v8.log > v8.json

To view the profile, click the Choose file button above and choose the file in the dialog box.
For recording a profile from Chrome use:

        --no-sandbox --js-flags=--prof

If running on Android use also use --single-process:

        --single-process --no-sandbox --js-flags=--prof

If the profile is from Android pass the unstripped Chrome library to resolve C++ symbols when processing the file using linux-tick-processor.

      <v8-dir>/tools/linux-tick-processor --preprocess --apk-embedded-library=./out/Release/lib.unstripped/libchrome.so v8.log > v8.json

More detailed instructions for Android here: https://v8.dev/docs/profile-chromium#android
Legend:
Show logging
Current code object:

Attribution:
Top-level tree buckets:
Sort by:

Time (incl) | % of parent | Own time | Function/category | Ticks | Own ticks
--- | --- | --- | --- | --- | ---

Copyright the V8 Authors - Last change to this page: 2020/12/04